package meerkat.voting.gui.select_candidate_name;

import com.google.protobuf.ByteString;
import javafx.scene.control.Label;
import javafx.scene.layout.GridPane;
import javafx.stage.Stage;
import meerkat.protobuf.BallotQuestionUIElementOuterClass;


/**
 * Created by Vladimir Eliezer Tokarev on 10/2/2016.
 * This object gets the current stage and appends to the container of the names
 * the different names that there are in the config object
 */
public class StringsAnswersUpdater {
    private Stage currentStage;
    private int rowAmount;

    public StringsAnswersUpdater(Stage primaryStage) {
        this.currentStage = primaryStage;
        this.rowAmount = 0;
    }

    private GridPane GetAnswersContainer(){
        return (GridPane) this.currentStage.getScene().lookup("#AnswersScrollPane");
    }

    private void AddAnswer(String answer){
        GridPane container = this.GetAnswersContainer();

        Label label = new Label();
        label.setText(answer);
        container.addRow(0);

        this.rowAmount++;
        container.add(label, 0, this.rowAmount);
    }

    private void RemoveAllAnswers(){
        GridPane gridPane = this.GetAnswersContainer();
        gridPane.getChildren().removeAll();
    }

    public void AddAnswers(BallotQuestionUIElementOuterClass.BallotQuestionUIElement question) {
        this.RemoveAllAnswers();
        for (ByteString bytesAnswer : question.getAnswers().getAnswers().getAnswersList()){
            this.AddAnswer(bytesAnswer.toString());
        }
        this.currentStage.show();
    }
}
